| OpenCV 3.4.8 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::cudacodec::EncoderCallBack Class Referenceabstract
CUDA-accelerated Computer Vision » Video Encoding/Decoding

Callbacks for CUDA video encoder. More...

`#include <opencv2/cudacodec.hpp>`

## Public Types
enum | PicType { IFRAME = 1, PFRAME = 2, BFRAME = 3 }

## Public Member Functions
virtual | ~EncoderCallBack ()
virtual uchar * | acquireBitStream (int *bufferSize)=0
| Callback function to signal the start of bitstream that is to be encoded. More...
virtual void | onBeginFrame (int frameNumber, PicType picType)=0
| Callback function to signal that the encoding operation on the frame has started. More...
virtual void | onEndFrame (int frameNumber, PicType picType)=0
| Callback function signals that the encoding operation on the frame has finished. More...
virtual void | releaseBitStream (unsigned char *data, int size)=0
| Callback function to signal that the encoded bitstream is ready to be written to file. More...

## Detailed Description

Callbacks for CUDA video encoder.

## Member Enumeration Documentation

## § PicType

enum cv::cudacodec::EncoderCallBack::PicType

Enumerator
IFRAME |
PFRAME |
BFRAME |

## Constructor & Destructor Documentation

## § ~EncoderCallBack()

virtual cv::cudacodec::EncoderCallBack::~EncoderCallBack | ( |  | ) |
| inline virtual

## Member Function Documentation

## § acquireBitStream()

virtual uchar* cv::cudacodec::EncoderCallBack::acquireBitStream | ( | int * | bufferSize | ) |
| pure virtual

Callback function to signal the start of bitstream that is to be encoded.

Callback must allocate buffer for CUDA encoder and return pointer to it and it's size.

## § onBeginFrame()

virtual void cv::cudacodec::EncoderCallBack::onBeginFrame | ( | int | frameNumber,
|  | PicType | picType
| ) |  |
| pure virtual

Callback function to signal that the encoding operation on the frame has started.

Parameters

  frameNumber |
  picType | Specify frame type (I-Frame, P-Frame or B-Frame).

## § onEndFrame()

virtual void cv::cudacodec::EncoderCallBack::onEndFrame | ( | int | frameNumber,
|  | PicType | picType
| ) |  |
| pure virtual

Callback function signals that the encoding operation on the frame has finished.

Parameters

  frameNumber |
  picType | Specify frame type (I-Frame, P-Frame or B-Frame).

## § releaseBitStream()

virtual void cv::cudacodec::EncoderCallBack::releaseBitStream | ( | unsigned char * | data,
|  | int | size
| ) |  |
| pure virtual

Callback function to signal that the encoded bitstream is ready to be written to file.

The documentation for this class was generated from the following file:

- opencv2/cudacodec.hpp